<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

include('auth.php');

/*
include_once('../include/module.Informer.php');

db_connect();


if($_POST['user'])
{
	$user = addslashes($_POST['user']);
	$redir = false;
	$id = db_query("SELECT COUNT(*) AS cnt FROM anbieter WHERE anbieter='$user'");
	$res = db_fetch_array($id);
	if($res['cnt'])
	{
		addSUser($user, '', USERTYPE_RESELLER);
		$redir = '../reseller/' . $user . '/';	
	}
	$id = db_query("SELECT COUNT(*) AS cnt FROM kunden WHERE kunde='$user'");
	$res = db_fetch_array($id);
	if($res['cnt'])
	{
		addSUser($user, '', USERTYPE_USER);
		$redir = '../user/' . $user . '/';	
	}
	if($redir)
	{
		header('Location: ' . $redir);
		exit();
	}
}

db_close();
message(ERROR, ltext('rul_nouser'));
include('userlogin.php');

//print_r($_POST);

//

//*
exit(); */
$redir = 'allgemein_start.php';

if($_GET['reseller'] && $_GET['type'])
{
	if($_GET['type'] == USERTYPE_RESELLER)
	{
		addSUser($_GET['reseller'], '', USERTYPE_RESELLER);
		$redir = '../reseller/' . $_GET['reseller'] . '/';	
	}
	if($_GET['type'] == USERTYPE_USER)
	{
		addSUser($_GET['reseller'], '', USERTYPE_USER);
		$redir = '../user/' . $_GET['reseller'] . '/';	
	}
	if(!session_is_registered('_del_settings'))
	{
		session_register('_del_settings');
	}
	$_SESSION['_del_settings'][$_GET['reseller']] = array('confixx_interface_version' => $confixx_interface_version, 'strSkinName' => $strSkinName, 'shortlang' => $shortlang);
}

db_close();

header('Location: ' . $redir);
//*/

?>
